Bug 501508 - CLI proxy default version is 0.5 while it should be 5.3
CLI proxy default version is 0.5 while it should be 5.3
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/API (Show other bugs)
RHN Stable
All Linux
low Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Red Hat Network Quality Assurance
us=112727
:
: 488246 (view as bug list)
Depends On: 498251
Blocks: 428922 510541
  Show dependency treegraph
 
Reported: 2009-05-19 10:32 EDT by Miroslav Suchý
Modified: 2013-01-10 04:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 498251
Environment:
Last Closed: 2009-08-10 09:02:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2009-05-19 10:32:35 EDT
+++ This bug was initially created as a clone of Bug #498251 +++

Description of problem:
CLI proxy default version is 0.5 while it should be 5.3

Version-Release number of selected component (if applicable):

Satellite-5.3.0-RHEL5-re20090424.1-i386-embedded-oracle.iso
How reproducible:


Steps to Reproduce:
1. install  satellite 530
2. sync tools & proxy channels 
3. register a client
4.  install spacewalk-proxy-installer
5. run configure-proxy.sh without the answer file.
  
Actual results:
root@rlx-3-08 ~]# configure-proxy.sh 
Proxy version to activate [0.5]: 


Expected results:
root@rlx-3-08 ~]# configure-proxy.sh 
Proxy version to activate [5.3]: 


Additional info:

--- Additional comment from msuchy@redhat.com on 2009-05-07 04:24:46 EDT ---

*** Bug 499458 has been marked as a duplicate of this bug. ***

--- Additional comment from msuchy@redhat.com on 2009-05-19 06:42:58 EDT ---

I added (commmit c2adc0d9b875737ed0ed58f2254d6bd1b2db002d) new API call which list all available versions of proxy channels for given system.

Next step will be to learn configure-proxy.sh to use this api call.

--- Additional comment from msuchy@redhat.com on 2009-05-19 10:31:24 EDT ---

rhn-activate-proxy now contains option -l, which list all available proxy channel in parent (commit e7052c7fa849924baec2d39893cc06518d1d347d)
configure-proxy.sh now suggest this value as default for proxy activation (commit 8357f7854431c1fd3bd4f4cfbbd03bbba41c10f8)
Comment 1 Miroslav Suchý 2009-05-19 10:34:58 EDT
You may want to apply this patch:
https://fedorahosted.org/spacewalk/changeset/c2adc0d9b875737ed0ed58f2254d6bd1b2db002d
to your code. With this API call command line proxy installer can suggest correct proxy version to install.
Comment 2 Denise Hughes 2009-07-15 16:55:10 EDT
Verified in webdev

Note: It is not necessary to install sat 5.3.

Steps for Testing:

1. Provision a machine to rhel 5 (perl, pxe provision fjs-0-08.rhndev.redhat.com to rhel-5-server-i386).
2. Run rhn_register.
3. In RHN, access the machine you registered and go to the Systems Channel page. (https://rhn.webdev.redhat.com/rhn/systems/details/SystemChannels.do?sid=1014895507)
4. Select Red Hat Network Tools for RHEL Server (v.5 32-bit x86) and click on Change Subscriptions.
5. In terminal window, type 'yum install spacewalk-proxy-installer --nogpgcheck'.
6. In terminal window, type 'mkdir /root/ssl-build'.
7. In terminal window, type 'configure-proxy.sh'.
8. Verify prompt says "Proxy version to activate [5.3]:"
Comment 3 Stephen Herr 2009-07-23 17:00:09 EDT
*** Bug 488246 has been marked as a duplicate of this bug. ***
Comment 4 Denise Hughes 2009-07-31 16:20:22 EDT
Verified in webqa.

Note You need to log in before you can comment on or make changes to this bug.